Results 1 to 5 of 5

Thread: Problem updating SUSE 11

  1. #1
    battou00 NNTP User

    Default Problem updating SUSE 11

    Hi, i have a problem triying to update suse right now, since i've installed it (2 weeks ago), i haven't been able to update it, the problem says something like this:

    can't find libtcl8.4.so needed by libpurple

    i've searched the web trying to find the libtcl but i've only found for others distros.

    Could you help me with this? i'm new in suse and dont know how to fix it.

    I'm sorry about posting the thread in this forum, but i didnt find another one suitable for my problem.

  2. #2
    Join Date
    Jun 2008
    Location
    Oklahoma, US
    Posts
    822

    Default Re: Problem updating SUSE 11

    battou00 wrote:

    >
    > Hi, i have a problem triying to update suse right now, since i've
    > installed it (2 weeks ago), i haven't been able to update it, the
    > problem says something like this:
    >
    > can't find libtcl8.4.so needed by libpurple
    >
    > i've searched the web trying to find the libtcl but i've only found for
    > others distros.
    >
    > Could you help me with this? i'm new in suse and dont know how to fix
    > it.
    >
    > I'm sorry about posting the thread in this forum, but i didnt find
    > another one suitable for my problem.
    >
    >


    libpurple is only needed for finch and pidgin and their related accessories.

    installing 'tcl' would satisfy that dependency.

    Although, how you got libpurple installed without libtcl is a mystery too...
    did you install pidgin by hand? Odd.

    the command (as root)

    zypper install tcl

    should fix that "can't find.." error you're getting.


    --
    L R Nix
    lornix@lornix.com

  3. #3
    Join Date
    Jun 2008
    Location
    Amor, Leiria, Portugal
    Posts
    55

    Default Re: Problem updating SUSE 11

    Currently I only have libpurple-2.4.1-28.1 available that requires libtcl8.5.so but, like said above, tcl provides that. My additional suggestion is
    Code:
    zypper refresh --force
    before the update or install.

  4. #4
    battou00 NNTP User

    Default Re: Problem updating SUSE 11

    i installed suse 11 from a dvd, and that's all. Dunno why i have the problem now.

  5. #5
    battou00 NNTP User

    Default Re: Problem updating SUSE 11

    well, i uninstalled pidgin a week ago, maybe didnt uninstalled it well, so now a removed libpurple and the update goes well.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •